File: changelog

package info (click to toggle)
bitpim 0.9.08.dfsg.1-1
  • links: PTS
  • area: main
  • in suites: etch, etch-m68k
  • size: 24,228 kB
  • ctags: 45,773
  • sloc: python: 191,894; cpp: 2,074; perl: 600; ansic: 343; sh: 185; makefile: 76; sed: 1
file content (184 lines) | stat: -rw-r--r-- 7,411 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
bitpim (0.9.08.dfsg.1-1) unstable; urgency=medium

  * New upstream release; urgency medium because it fixes several bugs and
    adds (at least partial) support for three more phone models.
  * Comment out udev rules by default because they can make BitPim perform
    full scans, which don't always terminate.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 23 Nov 2006 15:40:35 -0500

bitpim (0.9.07.dfsg.1-1) unstable; urgency=medium

  * New upstream release; urgency medium due to bug fixes and the addition
    of LGVX8500 (Chocolate) support.
  * Adjust src/comm_notify.py to look for /var/*run*/bitpim/dnotify.log,
    and deploy appropriate udev rules.  (These rules are broad-sweeping,
    but leave ownership and permissions alone.)
  * Work around bogus OverflowErrors in comm_notify.py on 64-bit systems.
  * Build with python-support 0.42, and drop the explicit python
    dependency introduced to work around #383958.

 -- Aaron M. Ucko <ucko@debian.org>  Thu,  7 Sep 2006 17:46:36 -0400

bitpim (0.9.06.dfsg.1-1) unstable; urgency=medium

  * New upstream release, mostly for bug fixes.
  * Build with python-support 0.4.1 (dispensing with dh_python).
    - give bitpim a direct dependency on python to avoid Lintian errors.
    - lose debian/pycompat and the X-Python-Version: fields.
    - loosen the build dependency on debhelper.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 11 Aug 2006 18:41:36 -0400

bitpim (0.9.05.dfsg.1-1) unstable; urgency=medium

  * New upstream release; adds SCH-A930 support, avoids hanging upon exit,
    and includes other safe improvements.
  * Build-depend on debhelper >= 5.0.37.3 to keep bitpim-lib from hitting
    bug #375948 (wrong metadata for private extensions).

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 16 Jul 2006 16:35:59 -0400

bitpim (0.9.04.dfsg.1-1) unstable; urgency=medium

  * New upstream release; adds preliminary VX8300 support and some safe
    bugfixes.
  * Don't try to run ffmpeg with -hq, which not all versions recognize
    even if they actually support mp3 output.  (Closes: #375600.)
  * Update pointer to unofficial ffmpeg packages in README.Debian.
  * Bump debian/compat to 5 on principle; should be a no-op here, though.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 28 Jun 2006 19:36:14 -0400

bitpim (0.9.03.dfsg.1-1) unstable; urgency=medium

  * New upstream release, mostly for bugfixes.
  * Explicitly request new dh_python behavior via debian/pycompat ("2").

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 23 Jun 2006 20:31:05 -0400

bitpim (0.9.02.dfsg.1-2) unstable; urgency=low

  * Update for new (0.4) Python policy, using python-support (unfixing
    #358023 for the moment, but so be it), with additional logic to ensure
    that BitPim's own code remains available in optimized (.pyo) form.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 15 Jun 2006 18:10:49 -0400

bitpim (0.9.02.dfsg.1-1) unstable; urgency=medium

  * New upstream release (0.9.01 skipped due to bugs); urgency medium
    because the set of supported phones has grown yet again.

 -- Aaron M. Ucko <ucko@debian.org>  Wed,  7 Jun 2006 08:53:55 -0400

bitpim (0.9.00.dfsg.1-1) unstable; urgency=medium

  * New upstream milestone release.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 17 May 2006 18:09:41 -0400

bitpim (0.8.14.dfsg.1-1) unstable; urgency=medium

  * New upstream release; urgency medium due to added support for further
    phone models.
  * Adjust for bmp2avi's new makefile, which buildmodules.py can now use.
  * Require python-apsw >= 3.3.5r1 per upstream.
  * Standards-Version: 3.7.2 (still no changes required).

 -- Aaron M. Ucko <ucko@debian.org>  Tue,  9 May 2006 20:21:24 -0400

bitpim (0.8.13.dfsg.1-2) unstable; urgency=low

  * Stop patching brewcompressedimage.py in favor of depending on a
    version of python-wxgtk2.6 new enough to support what upstream ships.
  * Standards-Version: 3.7.1 (no changes required).

 -- Aaron M. Ucko <ucko@debian.org>  Wed,  3 May 2006 20:49:30 -0400

bitpim (0.8.13.dfsg.1-1) unstable; urgency=medium

  * New upstream release; urgency medium because it fixes some
    moderately annoying bugs and adds support for yet more phones.
  * README.Debian: drop note about udev configuration, which upstream's
    own documentation now addresses.
  * Install upstream's (new) .desktop file.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 25 Apr 2006 21:08:19 -0400

bitpim (0.8.12.dfsg.1-2) unstable; urgency=medium

  * The "I just shot myself in the foot, didn't I?" release.
  * Add a symlink to work around python-support bug #363505, which
    interferes with bitpim's ability to find python-dsv 1.4.0-2.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 19 Apr 2006 19:07:05 -0400

bitpim (0.8.12.dfsg.1-1) unstable; urgency=medium

  * New upstream release; urgency medium due to interface bug fixes and
    new (partial) support for one more phone model.
  * Merge bitfling into the main bitpim package, as there wasn't actually
    much point in keeping it separate.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 16 Apr 2006 12:23:56 -0400

bitpim (0.8.11.dfsg.1-1) unstable; urgency=medium

  * New upstream release; urgency medium because it offers significant
    improvements over previous versions, including support for four
    additional phone models.
  * Adjust packaging to reflect new upstream layout (and avoid version
    skew between bitpim and bitfling).
  * Fix typo in bitfling's short description.  (Closes: #357647.)
  * Optimize debian/rules slightly; in particular, take advantage of
    upstream's new buildmodules.py script.
  * Byte-compile bitpim's .py files with -Wignore to suppress
    FutureWarnings that upstream characterizes as spurious.  (Closes:
    #358023.)
  * Make a couple of minor corrections to debian/copyright per upstream's
    feedback.

 -- Aaron M. Ucko <ucko@debian.org>  Sat,  8 Apr 2006 17:38:46 -0400

bitpim (0.8.08.dfsg.2-3) unstable; urgency=low

  * Increase optimization to -OO per upstream's recommendation.
  * README.Debian: Advise users that stock Debian systems do not support
    encoding ringtones into the MP3 format due to patent concerns.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 17 Mar 2006 18:34:10 -0500

bitpim (0.8.08.dfsg.2-2) unstable; urgency=low

  * More fixes to debian/copyright; in particular, spell the wxWidgets
    license that applies to some components out rather than merely citing
    it.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 27 Feb 2006 19:38:51 -0500

bitpim (0.8.08.dfsg.2-1) unstable; urgency=low

  * New upstream tarball, with the outlook plugin removed on the grounds
    of being useless on Unix and possibly derived from non-free code.
  * Document remaining non-GPLed components' (GPL-compatible!) licenses in
    debian/copyright.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 26 Feb 2006 19:35:23 -0500

bitpim (0.8.08.dfsg.1-1) unstable; urgency=low

  * New upstream release, extracted from upstream CVS as before.
  * Supply a plain-text version of upstream's changelog.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 22 Feb 2006 14:06:07 -0500

bitpim (0.8.07.dfsg.1-1) unstable; urgency=low

  * Initial release, from an upstream CVS checkout with prebuilt binaries
    removed.  (Closes: #265585.)
  * Backported brewcompressedimage.py to wxPython 2.6.1, as Debian does
    not yet provide a newer version (thanks to #342189).

 -- Aaron M. Ucko <ucko@debian.org>  Tue,  7 Feb 2006 18:46:22 -0500